#ifndef LISTUSERSRESPONSE_HPP
#define LISTUSERSRESPONSE_HPP

#include "../Response.hpp"
#include <string>
#include <vector>

namespace mole {
    namespace serv {
	class ListUsersResponse : public Response {

	    public :
		ListUsersResponse();
		~ListUsersResponse();

		void addUser(std::string);

		std::string getUser(int i);

		int usersCount(){ return users.size(); };

	    private :
		std::vector<std::string> users;
	};

    } // end serv

} // end mole

#endif
